Bug 1146953 - Namespace context not set for camel bindings with unmanaged threads
Summary: Namespace context not set for camel bindings with unmanaged threads
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: One-off release
Assignee: Keith Babo
QA Contact: Matej Melko
URL:
Whiteboard:
Depends On:
Blocks: 1120384 1146970
TreeView+ depends on / blocked
 
Reported: 2014-09-26 12:26 UTC by Rick Wagner
Modified: 2015-11-02 08:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1146970 (view as bug list)
Environment:
Last Closed:
Type: Support Patch


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker SWITCHYARD-2351 Major Resolved Namespace context not set for camel bindings with unmanaged threads 2015-07-13 06:26:30 UTC

Description Rick Wagner 2014-09-26 12:26:03 UTC
Camel components which do not use Camel-managed thread pools can lead to BeanManager resolution issues when the namespace context is not set. The solution to this is to add a routing policy to Camel gateway routes that sets the namespace context for the gateway delivery thread.

Comment 1 Rob Cernich 2014-09-26 13:56:29 UTC
should be available in p8 or later


Note You need to log in before you can comment on or make changes to this bug.